# Part

Part used by the interpreter.

## Methods

- loadActionSet(...)
- interpreter(...)
- evaluate(...)
- runFile(...)
- disconnect(...)
- getAttribute(...)
- openURL(...)
- runFile2(...)
- children(...)
- openURL1(...)
- properties(...)
- deleteLater(...)
- execute3(...)
- execute2(...)
- getElementById(...)
- execute(...)
- factory(...)
- isWidgetType(...)
- parent(...)
- signals(...)
- slots(...)
- child(...)
- globalExec(...)
- superClassName(...)
- className(...)
- setAttribute(...)
- evaluate2(...)
- connect(...)
- hasAttribute(...)
- childCount(...)
- getParentNode(...)
- view(...)
- actionClient(...)
- loadFile(...)

## Properties

None

## Qt Properties

- QCString name kjsembed_part
- QStringList constructorNames
- QCString versionString 0.3
- int versionMajor 0
- int versionMinor 3

## Qt Signals

- destroyed()
- destroyed(QObject*)
- setWindowCaption(const QString&)
- setStatusBarText(const QString&)
- started(KIO::Job*)
- completed()
- completed(bool)
- canceled(const QString&)

## Qt Slots

- void deleteLater()
- void cleanupEventFilter(QObject*)
- void slotWidgetDestroyed()
- bool openURL(const KURL&)
- void slotJobFinished(KIO::Job*)
- KJSEmbed::JSConsoleWidget view()
- bool openURL(const KURL&)
- KJSEmbed::XMLActionClient actionClient()
- bool loadActionSet(const QString&)
- KJS::Interpreter interpreter()
- KJS::ExecState globalExec()
- JSFactory factory()
- void evaluate(const QString&)
- void evaluate(const QString&,const KJS::Value&)
- bool execute(const QString&)
- bool execute(const QString&,const KJS::Value&)
- bool execute(KJS::Completion&,const QString&,const KJS::Value&)
- bool runFile(const QString&)
- bool runFile(const QString&,const KJS::Value&)
- QString loadFile(const QString&)